dlopen: /usr/lib/xorg/extra-modules/nvidia_drv.so: undefined symbol: miEmptyData

Bug #616394 reported by Riku Eskelinen on 2010-08-11
310
This bug affects 60 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers-96 (Ubuntu)
Undecided
Unassigned
Nominated for Maverick by luk1don

Bug Description

Binary package hint: nvidia-96

After upgrading from lucid to maverick, NVidia binary driver nvidia-96 stopped working. After examining /var/log/Xorg.0.log, I found the following (complete Xorg.0.log attached):
>...
>[ 562.979] (II) LoadModule: "nvidia"
>[ 562.980] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
>[ 563.018] dlopen: /usr/lib/xorg/extra-modules/nvidia_drv.so: undefined symbol: miEmptyData
>[ 563.018] (EE) Failed to load /usr/lib/xorg/extra-modules/nvidia_drv.so
>[ 563.018] (II) UnloadModule: "nvidia"
>[ 563.018] (EE) Failed to load module "nvidia" (loader failed, 7)
>[ 563.018] (EE) No drivers available.
>...

lspci | grep VGA:
01:00.0 VGA compatible controller: nVidia Corporation NV11 [GeForce2 MX/MX 400] (rev a1)

apt-cache policy nvidia-96:
nvidia-96:
  Installed: 96.43.18-0ubuntu1
  Candidate: 96.43.18-0ubuntu1
  Version table:
 *** 96.43.18-0ubuntu1 0
        500 http://fi.archive.ubuntu.com/ubuntu/ maverick/restricted i386 Packages
        100 /var/lib/dpkg/status

Riku Eskelinen (kingi89) wrote :

.proc.driver.nvidia.agp.card:
 Fast Writes: Supported
 SBA: Supported
 AGP Rates: 4x 2x 1x
 Registers: 0x1f000217:0x00000000
.proc.driver.nvidia.agp.host.bridge:
 Host Bridge: PCI device 8086:1a30
 Fast Writes: Supported
 SBA: Supported
 AGP Rates: 4x 2x 1x
 Registers: 0x1f000217:0x00000000
.proc.driver.nvidia.agp.status: Status: Disabled
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86 Kernel Module 173.14.27 Tue Jul 13 20:39:52 PDT 2010
 GCC version: gcc version 4.4.5 20100824 (prerelease) (Ubuntu/Linaro 4.4.4-9ubuntu2)
Architecture: i386
CurrentDmesg:
 [ 9.192356] [drm] Initialized drm 1.1.0 20060810
 [ 9.524888] ata2.00: configured for UDMA/100
 [ 9.524911] ata2: EH complete
 [ 10.234765] EXT4-fs (sda1): re-mounted. Opts: errors=remount-ro,commit=0
 [ 19.344064] eth0: no IPv6 routers present
DistroRelease: Ubuntu 10.10
DkmsStatus:
 nvidia-173, 173.14.27, 2.6.35-19-generic, i686: installed
 nvidia-173, 173.14.27, 2.6.35-14-generic, i686: installed
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Alpha i386 (20100803.1)
MachineType: System Manufacturer System Name
NonfreeKernelModules: nvidia
Package: nvidia-graphics-drivers-96 (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-19-generic root=UUID=ee20e538-deae-490d-9c76-661b3b98ca96 ro quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.35-19.26-generic 2.6.35.3
Tags: maverick maverick
Uname: Linux 2.6.35-19-generic i686
UserGroups:

dmi.bios.date: 08/06/2003
dmi.bios.vendor: Award Software, Inc.
dmi.bios.version: ASUS P4B533 ACPI BIOS Revision 1015 Beta 003
dmi.board.name: P4B533
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: REV 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 7
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAwardSoftware,Inc.:bvrASUSP4B533ACPIBIOSRevision1015Beta003:bd08/06/2003:svnSystemManufacturer:pnSystemName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP4B533:rvrREV1.xx:cvnChassisManufacture:ct7:cvrChassisVersion:
dmi.product.name: System Name
dmi.product.version: System Version
dmi.sys.vendor: System Manufacturer
system:
 distro: Ubuntu
 codename: maverick
 architecture: i686
 kernel: 2.6.35-19-generic

tags: added: apport-collected

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Darik Horn (dajhorn) wrote :

This bug is also happening with the nvidia-173 drivers. (Sorry about the apport attachments.)

Riku Eskelinen (kingi89) wrote :

This might be related: http://www.nvnews.net/vbulletin/showthread.php?t=153963 .

So it seems that making their legacy drivers work with X server 1.9 is low priority issue for NVidia. Too bad that some (including me) just can't upgrade to nvidia-current.

I don't know the details to be sure, but for now it seems there is nothing we (as Ubuntu community) can do but wait. It would be great if nouveau worked with my gfx card, though :)

Darik Horn (dajhorn) wrote :

Tightening the driver dependencies in Maverick might prevent an unexpected breakage for upgrades from Lucid.

For example:

  Package: nvidia-173
  Depends: x11-common (>= 1:7.0.0), make, sed (>> 3.0), dkms, linux-libc-dev, libc6-dev, linux-headers-generic | linux-headers, patch, acpid, libc6 (>= 2.3), libx11-6 (>= 0), libxext6 (>= 0), zlib1g (>= 1:1.1.4), xserver-common (<< 2:1.9.0)

Perhaps also:

  Package: xserver-common
  Version: 2:1.9.0-0ubuntu1
  Breaks: nvidia-96, nvidia-173

Darik Horn (dajhorn) wrote :

I've opened bug 626974 to get the attention of the X maintainers.

luk1don (luk1don) on 2010-09-11
Changed in nvidia-graphics-drivers-96 (Ubuntu):
status: New → Confirmed
luk1don (luk1don) wrote :

The beta freeze is over but the nvidia driver is not.

The same problem.

Mickey (roaddogmm) wrote :

Same problem

Yeap.. confirmed :(

Pardon my being a total noob, but is xorg 1.9 something the other
distros will start to use eventually and does it mean that we won't be
able to use nvidia-96 in future distros of linux, unless the bug is
fixed, of course?

Thanks!

David Wynn (wynn-david) wrote :

This has actually happened frequently in the past -- that the legacy nvidia drivers get abandoned for a time. Previously, the problem had always eventually gotten fixed. However, this is something that we should warn people about. At least in my experience, using the nvidia-96 drivers in Maverick will not allow you any graphic capabilities. You will be dropped to a command line, but will not be given a chance to switch to lower graphic capabilities, as in previous versions of Ubuntu. (In Lucid and some previous releases, when nvidia was not working, it would ask to use low-graphics mode. This does not happen in Maverick, even though I have nv and nouveau installed)

If it's of any help, when I had upgraded from 10.04 to 10.10 in its
first beta release, I found that deleting the xorg.conf allowed me to
login in low graphics mode. I wouldn't know if it's still the case,
however, but perhaps it's worth trying.

On Tue, 2010-10-12 at 13:31 +0000, David Wynn wrote:

> This has actually happened frequently in the past -- that the legacy
> nvidia drivers get abandoned for a time. Previously, the problem had
> always eventually gotten fixed. However, this is something that we
> should warn people about. At least in my experience, using the
> nvidia-96 drivers in Maverick will not allow you any graphic
> capabilities. You will be dropped to a command line, but will not be
> given a chance to switch to lower graphic capabilities, as in previous
> versions of Ubuntu. (In Lucid and some previous releases, when nvidia
> was not working, it would ask to use low-graphics mode. This does not
> happen in Maverick, even though I have nv and nouveau installed)
>

Adam Reeve (adreeve) wrote :

As has been pointed out already, there is someone at Nvidia working on this (or planning to) so it's just a matter of time until this is fixed. In future the Nouveau drivers will hopefully be able to provide decent 3D support for legacy cards which will prevent this situation from being a major problem. At the moment it seems like Nouveau only has 3D support for newer cards according to their feature matrix: http://nouveau.freedesktop.org/wiki/FeatureMatrix

Riku Eskelinen (kingi89) wrote :

I wonder why this bug got marked as duplicate of #626974. IMO this leads to confusion as these two bugs, although related to same issue, have different point of views. This bug being about the actual issue NVidia legacy binary driver "nvidia-96" is having, and #626974 being about the whole incompatibility issue between X.org 1.9 and NVidia legacy binary drivers (including both nvidia-96 and nvidia-173). If I got it all wrong, just let me know and I stop whining about this.

ginalfa (ginalfa) wrote :

Same issue for me.
nvidia 96 simply does not works either on distro upgrade from lucid and maverick fresh install.
It seems thath the nvidia installer is not able to create the appropriate module.

SOLVED (for 32-bit arch):

NVIDIA released a new legacy driver
=======================
Version: 96.43.19 Certified
Release Date: 2010.11.16
Operating System: Linux
Language: English (U.S.)
File Size: 15.7 MB
=======================

You may download it here:
http://www.nvidia.com/object/linux-display-ia32-96.43.19-driver.html

After installing this driver, everything is fine.

Chris Parker (cparke) wrote :

Thank you!

SOLVED (for 64-bit arch too):
=======================
Version: 96.43.19 Certified
Release Date: 2010.11.16
Operating System: Linux 64-bit
Language: English (U.S.)
File Size: 13.1 MB
=======================

apt-get latest still getting 96.43.18 however, which does not work.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers